Copyright (C) 1992, Ken Elliott III
        All Rights Reserved
$Id: HELPTXT.G%v 2.2 1993/09/30 00:51:17 elliott Exp $

GENERAL

This program is a craps simulator which has been designed to reflect an
actual casino craps game as much as possible.  You are able to make all of
the bets allowed in a regular casino craps game, and are allowed to take
bets down, make them work on the come-out, etc.  This program also gathers
extensive statistics while you play, so you can analyze (if you wish) each
pass or don't pass series.  It will tutor you in making smart bets, taking
the maximum free odds on the pass, don't pass, come, and don't come bets,
and help in calculating your buy and lay bets so that you pay the least
amount of commission allowable.  This program offers extensive on-line help,
which is available via the specific help button at the top of the screen,
the middle mouse button (for three button mice), or the F1 key.  The mouse
cursor is represented by two dice showing a hard eight.  To quit the game,
just type 'q' when you're at the craps layout ('q' won't work when you're
looking at statistics).

PAGE

                            GETTING HELP

To get help, move the mouse cursor to the area of the screen in which you
are interested in, and click the middle button or press the F1 key.  You can
also click on the specific help button at the top of the screen, move the
cursor over the item you're interested in, and click the left button for
help on that item.  For instance, if you want to find out about the pass line
bet, move the cursor to the box marked "PASS" and click the middle button
(or hit the F1 key).  You will be given information such as when the bet can
be made, how it wins and loses, the house percentage (which is the advantage
the house has over you) on this bet, and whether it's a good bet or not.
You can also get help on any of the other areas of the table (the function
buttons in the upper right hand corner of the screen, the marker puck, the
message/error window, etc.) to learn about what these areas can be used
for.  With this help facility, you need not ever read the manual to learn
how to play craps like an expert!  What follows is a very brief description
of how to get started.  For more information, read the fine manual, or use
the on-line help facility to find out more about all of the features of the
simulator.

PAGE

                            MAKING CHANGE

If you find that you do not have any of the lower value chips (e.g., $1, $5)
to bet with, you need to make change. To do this, transfer a chip of a larger
denomination over to the bet area by clicking on it in the bankroll area,
and then click on it (in the bet area) with the left mouse button.  This
will break it down into the next lower denomination of chips, and move these
chips to the bankroll area.  For example, if you have 10 $100 chips, and you
want to get a bunch of $5 chips, you would first click with the left button
on the $100 chip stack in the bankroll area.  This would transfer one $100
chip to the bet area.  You would then click with your left mouse button on
the $100 chip stack in the bet area.  This would move four $25 chips to your
bankroll area.  Next, you would click four times on the $25 chip stack in
your bankroll area to move four $25 chips to the bet area.  You would then
click with the left mouse button on the $25 chip stack in the bet area,
which would transfer 20 $5 chips to your bankroll area.  You now have $100
worth of $5 chips with which to make bets.

PAGE

                             MAKING BETS

There are two ways to make a bet: the way they do it in the casinos,
(done with the mouse in CrapSim), or by typing in the amount on the
keyboard.  In order to make a bet using the mouse, you transfer chips
from the bankroll area to the bet area by clicking on the bankroll
stack of the chip denomination you wish to transfer with the left
mouse button.  To make a $6 bet, you would click once on the $1 chip
stack and once on the $5 chip stack in the bankroll area.  If you
change your mind, click with the *right* button on the stack in the
bet area to return the chips in that stack to the bankroll area.  When
you have the correct amount in the bet area, move your cursor to the
area on the table where you wish to place the bet, and click the left
mouse button.  If the bet is valid, this will move the money in the
bet stack to the area you just clicked, and a bet is made!  If you
want to take down a bet (and it's legal for you to do so), click with
your *right* mouse button on the area of the table that your bet is
in, and it will be returned to your bankroll (or you will get a
message saying that the bet can not be taken down).  To make a bet
with the keyboard, first make sure the bet area is empty.  Next type
the amount you wish to bet; what you are typing will show up in the
bet area.  After typing the amount you want, either hit return (in
which case that amount will be transferred to the bet area) or click on
a bet area on the table (e.g., the pass line) in order to make that
bet directly.  For information on where to click for place, buy, and lay 
bets, refer to the manual.

PAGE

                          ROLLING THE DICE

The last thing you need to know how to do is roll the dice.  This is very
simple: just click on the two large red dice to the right of the screen with
your left mouse button, and the dice will roll.  You can also roll the dice
by typing 'r' or the spacebar if you don't want to use the mouse.  Typing
'R' or clicking on the dice with the *right* mouse button will make CrapSim
automatically roll the dice until you press a key, click a mouse button, or
an action on the table occurs (you win a bet, lose a bet, or have a bet
returned to you).  The message "Auto-rolling..."  will appear at the top of
the screen when this is happening.

This program uses one of the theoretically best random number generators
available, and has been run through millions of trials to ensure that it
mimics real dice as close as possible.  This is as close as you can get to
rolling real dice on the computer!  The program will automatically pay
winning bets, return pushed bets, and collect losing bets.  You have the
option of obtaining this information as you use CrapSim by setting the
"reporting level" (get help on the REPORT button for a full description of
the reporting function).

PAGE

                              MACROS

If you will be making the same bets over and over, you'll want to set up
macros so that you can record the bets you want to make, and then play them
back with a single keystroke.  To do this, click on the MACRO button; it
will turn green.  Then make your bets as you normally would (note that odds
bets and hop bets *are not* recorded in macros).  When you're done making
all of the bets you want to assign to this particular macro, either click
again on the (green) MACRO button, or roll the dice.  You will be prompted
for a key to assign the set of bets to (a-z, A-Z, F2-F10 except for 'o',
'O', 'q', 'Q', 'r', and 'R'), and then you will be able replay that same
series of bets (assuming you have the money) anytime you press that key.
To quickly take maximum odds, use the built-in macro 'O'.

There are a host of other features that you can use, so explore with the
on-line help function or read the manual to find out all of CrapSim's
features.  You're now all set to shoot the dice!  Good luck!

PASSLINE

The previous line must be kept in here because of the position of "GENERAL"
in the HelpHeadings array.

MARKER

The marker puck enables the players and dealers to know exactly what the
point is, or if it is the come-out roll.  It has two sides: a black side
reading "off", and a white side reading "on".  When it reads "off", it is
placed in the don't come box, and indicates that the next roll of the dice
is the come-out roll.  When a point is established, the marker is turned
over (so the "on" side is up) and it is placed in the point box of the
shooter's point; after the shooter has either made their point or rolled a
seven ("seven out"), it will again be returned to the don't come box with the
"off" side up.

BANKROLL

This area shows the value of current bankroll.  The total dollar value of
your bankroll is given below the word "bankroll", while the number of each
type of chip is given either above or below that type of chip.  The white
chips (called "silver dollars" in the casino) are worth $1, the red chips
("nickels") are worth $5, the green chips ("quarters") are worth $25, the
black chips ("dollars") are worth $100, and the purple chips (for you high
rollers) are worth $1000.  Clicking on a stack of chips with the left mouse
button places one of the chips in the bet area.  Clicking on a stack of
chips with the right mouse button converts (as much as possible) all of the
chips in that stack to chips of the next highest value (except for purple
chips); for example, 14 white chips would be converted to 2 red chips, and 4
white chips would be left in the white chip stack.

BET

Chips in this area are used to make bets.  The total dollar value of your
bet is given below the word "Bet", while the number of each type of chip is
given either above or below that type of chip.  The white chips (called
"silver dollars" in the casino) are worth $1, the red chips ("nickels") are
worth $5, the green chips ("quarters") are worth $25, the black chips
("dollars") are worth $100, and the purple chips (for you high rollers) are
worth $1000.  Clicking on a stack with your left button "makes change" for
that type of chip; i.e., it is converted to the next lowest value chip
(except for white chips) and placed back in the bankroll section.  For
example, clicking on a stack of four $5 chips ($20 total) would result in
twenty $1 chips being put in your bankroll section.  Note that if there are
chips of the type *you are converting to* in the bet area, these will be
transferred along with the changed chips.  Clicking on a stack with the right
mouse button simply returns all the chips in that stack (but not other
stacks) to the bankroll.

To actually make a bet, once the correct amount has been placed in this
area, click (with the left mouse button) on the bet area on the table you
wish to make.  You can also type in the amount you want to bet (assuming
nothing is already in this area) and then click on bet area.

ROLLSERIES

These are merely indicators of the number of times the dice have been rolled,
and the current series number.  A series is defined as the period from
when the dice come out until the time the dice either pass or don't pass.

STATISTICS

Pressing this button will give you access to a wide range of statistical
information gathered since you started playing.  This button will not
work until you have completed at least one series.  It allows you to
view, among other things: average gains and losses, number of passes and 
don't passes, streaks and bankroll high and low points.  It also supports
subordinate windows which allow you to look at a subset of the statistics
on a series-by-series basis (the *series* button); graph your bankroll
ups and downs for this session (the *graph br* button); the number of times 
each dice roll has occurred, as compared to the mathematical ideal (the
*rolls* button); and the total amount you have won and lost for every
bet on the table you have made (the *bets* button).  All of this information
(except for the graph) can also be printed on your printer.

TUTOR

Pressing this button will bring up the tutor configuration menu.  The button
will turn green if any of the tutoring options are on, and will be gray if
tutoring is off.  There are four specific types of tutoring you can receive
with this feature.  The first type warns you when you make a bet that won't
pay off at the correct odds.  For instance, a place bet to win on the 6 or 8
pays off at 7 to 6.  If you don't bet a multiple of six, you will not be
paid off correctly for that portion of the bet that is not divisible by 6
(for example, if you bet $15, you will be paid at 7 to 6 for $12 of your
bet, but you will only be paid even money for the other $3 of your bet).
The second type of message is issued when you take less than the maximum
odds on the pass line, don't pass line, come, and don't come odds bets.
Taking the maximum odds actually increases the theoretical return on your
bet (the house percentage for a pass line bet without odds is 1.41%, while
with full double odds it's only 0.606%), so you should always take the
maximum amount of odds that is allowed.  The message also advises you what
this amount is.  The third type is a warning meant for new players against
making bets with a house p.c. of over 1.5%.  If this option is selected and
such a bet is made (for example, a big 6 bet), a message telling you that
that is a bad bet will appear.  The final type of message is given on buy
and lay bets where the bet amount results in the commission being rounded
up.  For example, for the default CrapSim2 configuration suppose that you
made a $35 Buy 4.  The commission would be $2, and if this tutoring option
was active it would advise you to make at least a $40 Buy 4 bet because it
would result in no increase in the commission.

RPT

Three levels of reporting are supported.  When reporting is enabled,
reports are displayed in the error/message window at the top of the
screen.  Reporting is done after each roll of the dice, when needed
(if no money was won or lost, there is nothing to report).  Each
reporting level is indicated directly on the REPORT button on the main
screen, and each level has a unique associated color for easy
identification.  The reporting levels and button colors are as
follows:

0 - gray - reporting is disabled
1 - green - only the *total* wins, losses, and returns for the roll
            are reported 
2 - blue - the results of each individual bet won, lost, or returned
           are reported 

Clicking on the REPORT button will cycle the reporting level with each click.

WORKING

This button is used to toggle whether bets work or not on the come-out
roll.  In CrapSim (and in most casinos), the following bets are normally not
working on the come-out roll (which means they are not affected by whatever
the come-out roll is): all place bets (to win or to lose), buy bets, lay
bets, and odds bets on the come point.  The default behavior is specified
when you start the program, but you can change that behavior with this
button.  If you want to make one of the above bets work on the come-out if
the default for the bets is not to work on the come-out, click on this
button (the error/message window will display "Click on bet to toggle work
on/off", and the button will turn green) and then click on the bet you want
to make work.  An "on" button will be placed on the bet to indicate that it
is working.  Clicking on a bet which is already working (i.e., the "on"
button is already on the bet) will turn the bet off (i.e., make it so the
bet is not working).  As long as this button is green these functions can be
performed.  Clicking on a bet which is always working, or on another area of
the table (say, the bankroll area), will turn this function off.  Clicking
on the WORK button, when on, will also turn it off.

VISA

Once you have blown your initial bankroll (which you will inevitably do if
you play long enough), you may for some strange reason wish to continue
playing (just like in real life).  Clicking on this will allow you to
augment your bankroll and keep on playing; the best feature is that you
have a two billion dollar credit limit (not like in real life).

TABLEINFO

This gives information about the rules of the table.  These are established
when the program is started, and can not be changed after that.  It indicates
the minimum and maximum bets you can make (the maximum applies to any single
bet; the aggregate of your bets can be greater than the maximum, and odds
bets may exceed the maximum) and the amount of free odds that you can take
on your pass, don't pass, come, and don't come bets.

ERRORMESSAGE

This window is used to communicate short messages to you, the player,
during the course of your play.  If you have reporting enabled, the
messages generated are displayed here.  Error messages (trying to make
an illegal bet, not taking correct odds) will also be displayed here.
When "..more.."  is displayed, hit any key or click any mouse button
to see the next line of the message.  When "..cont.." is displayed,
the simulator will be paused until you hit any key or click any mouse
button to continue.

TOTALBET

Click in this area to see the total amount of your bets on the table.  This 
includes all of your odds, prop bets, etc., but it does not include the
money you have in the bankroll or bet areas below the bottom of the table.

DICE

These are just what they look like: the dice that are the center of the
craps game.  Click on these with the left mouse button (one click will roll
both dice) or press 'r' or the spacebar on the keyboard to roll the dice
once.  Click on these with the right mouse button or press 'R' to start
CrapSim "auto-rolling" the dice.  What this means is that CrapSim will
continue to roll the dice until you press a key, click a mouse button, or
something happens to a bet on the table (either a bet wins, loses, or is
returned to you).  When the dice are auto-rolling the message
"Auto-rolling..." will appear in the error/message window.

WELCOME

